ubuntu-packaging-guide (1.0.0) unstable; urgency=medium

  [ Simon Quigley ]
  * Remove outdated Bazaar Ubuntu Distributed Development content and update
    the packaging guide to meet modern packaging standards (LP: #1569561)
    (LP: #1686100):
    - Replace Harvest with Launchpad-native links (LP: #1697400).
    - Advertise and mention development release (LP: #1006747).
    - Make cycle-branching.{svg,png} clearer.
    - lintian.ubuntuwire.org is down, remove that part (LP: #1686096).
    - Merge fixing-a-bug and fixing-a-bug-example, it's simpler this way.

  [ Dmitry Shachnev ]
  * Temporary downgrade debhelper compatibility level to 9, to allow
    building on Ubuntu 14.04.
  * Build-depend on python3-stemmer to fix build with the latest Sphinx.
  * Use HTTPS links in debian/copyright.
  * Update Maintainer field to ubuntu-dev-team@alioth-lists.debian.org.
  * Use pkg-info.mk instead of calling dpkg-parsechangelog in debian/rules.
  * Bump Standards-Version to 4.2.1, no changes needed.
  * Remove trailing spaces from debian/changelog.
  * Do not symlink non-English versions of searchtools.js.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 30 Aug 2018 22:09:37 +0300

ubuntu-packaging-guide (0.3.9) unstable; urgency=medium

  * Build-depend on latexmk to fix build with Sphinx 1.6.
  * Bump Standards-Version to 4.0.0, no changes needed.
  * Bump debhelper compatibility level to 10.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 15 Aug 2017 20:03:36 +0300

ubuntu-packaging-guide (0.3.8) unstable; urgency=medium

  * fixing-ftbfs: Remove outdated section about arm64 (LP: #1485311).
  * auto-pkg-test: Update link to autopkgtest results (LP: #1489782).
  * auto-pkg-test: Stop mentioning XS-Testsuite header, it no longer
    needs to be added manually.
  * Build-depend on texlive-generic-extra to fix FTBFS with Sphinx 1.4.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 04 Jul 2016 13:02:46 +0300

ubuntu-packaging-guide (0.3.7) unstable; urgency=medium

  [ Dmitry Shachnev ]
  * packaging-new-software: Add bzr-builddeb to the list of required
    packages (LP: #1385567).
  * Add myself to Uploaders.
  * Fix BSD license in debian/copyright.

  [ Walter Lapchynski ]
  * fixing-a-bug-example: Fix bad grammar in section 5.7 (LP: #1432970).

  [ Daniel Holbach ]
  * add Ukrainian language.
  * Update Standards-Version to 3.9.6, no changes required.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 17 Jun 2015 10:35:34 +0300

ubuntu-packaging-guide (0.3.6) unstable; urgency=medium

  [ Andrew Starr-Bochicchio ]
  * Upload to unstable.

  [ Dmitry Shachnev ]
  * Fix a typo and regenerate the .pot file (LP: #1309861).
  * Use anonymous links where possible to make translation easier.
  * Add more information about Lintian.
  * Remove Python Packaging page in favour of a link from index page
    to Debian wiki. Our guide is terribly outdated, while Debian’s one
    is kept up-to-date.

  [ Daniel Holbach ]
  * Changed "phone and table" to "phone and tablet".

  [ Martin Pitt ]
  * auto-pkg-test: Improve rationale for compile/link/run test.
  * auto-pkg-test: Drop lp:auto-package-testing, move to direct adt-run
    invocation as we do in CI now.
  * auto-pkg-test: Saucy → Utopic.
  * auto-pkg-test: Update Debian status, http://ci.debian.net exists now.

  [ Seth Johnson ]
  * Add missing step to tutorial. "bzr dh-make" forgets to "bzr add
    debian/source/format" (LP: #1313053)

 -- Andrew Starr-Bochicchio <asb@debian.org>  Sun, 05 Oct 2014 10:38:34 -0400

ubuntu-packaging-guide (0.3.5) unstable; urgency=medium

  [ Dmitry Shachnev ]
  * Fix argument of gpg --fingerprint (LP: #1281908, thanks John Kim).
  * Add information about sending OpenPGP keys to keyserver (LP: #1281910).
  * Update release codenames to current versions (LP: #1283305).
  * More information about (un)installing .deb packages (LP: #1283323).
  * Update dput command to work for all PPAs (LP: #1283318).

  [ Andrew Starr-Bochicchio ]
  * Add favicon (LP: #1281919).

  [ Daniel Holbach ]
  * Update copyright.

 -- Andrew Starr-Bochicchio <asb@debian.org>  Tue, 01 Apr 2014 19:59:27 -0400

ubuntu-packaging-guide (0.3.4) unstable; urgency=low

  [ Andrew Starr-Bochicchio ]
  * Revert version bump for hello package because of FTBFS. (LP: #1248353)
  * Bump Standards-Version to 3.9.5, no changes needed.

  [ Daniel Holbach ]
  * add French.
  * fixing-ftbfs.rst: fixed two typos. Thanks Sylvie Gallet for reporting. (LP:
    #1256322, LP: #1256346)

  [ Jackson Doak ]
  * add article to fix FTBFS bugs (LP: #718640)
  * Add information about debian screenshots. (LP: #816427)

  [ Dmitry Shachnev ]
  * Switch developer.ubuntu.com links to packaging.ubuntu.com.

  [ Riccardo Padovani ]
  * add enumeration to table of contents and to title of sections. (LP:
    #737455)
  * fixed link behind "Ubuntu development release wiki page", it pointed to
    an obsolete page (LP: #1237521)
  * updated Ubuntu release names (LP: #1257794)

 -- Andrew Starr-Bochicchio <asb@debian.org>  Thu, 09 Jan 2014 14:01:21 -0500

ubuntu-packaging-guide (0.3.3) unstable; urgency=low

  [ Daniel Holbach ]
  * remove superfluous "the". (LP: #1211488)

  [ Andrew Starr-Bochicchio ]
  * Use un-minified versions of 960.css and reset.css (Closes: #717008,
    LP: #1201636).

  [ Dmitry Shachnev ]
  * Use different name for singlehtml doc-base files, to prevent warnings
    from doc-base.

 -- Andrew Starr-Bochicchio <asb@debian.org>  Sat, 05 Oct 2013 12:00:48 -0400

ubuntu-packaging-guide (0.3.2) unstable; urgency=low

  * Upload to unstable.

  [ Dmitry Shachnev ]
  * debian/scripts/add-languages:
    - Automate getting full language name for debian/control and doc-base
      files.
    - Ensure that package names are lowercase and don't contain underscores.
    - Miscellaneous code improvements and simplifications.
  * debian/scripts/build-list-of-translators: close the <li> tag correctly.
  * po/pt_BR.po: use correct backticks (LP: #1154087).
  * patches-to-packages.rst:
    - Add "Patch Headers" and "Configuring Quilt" sections.
    - Remove notice about bug 815854 (which has been fixed), and also
      simplify the text about upgrading to a new version.
  * style.css: add styling for Docutils field lists.
  * Add "Further Reading" section.
  * Build-depend on texlive-lang-portuguese and texlive-lang-spanish
    (LP: #1188112).

  [ Daniel Holbach ]
  * add Brazilian Portuguese.
  * add German, build-depends on texlive-lang-german.
  * Update UDS information to the new world of UDSes.
  * Update information about "CD images". They are not explicitly for CDs and
    never were.

  [ Andrew Starr-Bochicchio ]
  * getting-set-up: Launchpad finds developer gpg keys quicker if they
    are uploaded directly to the Ubuntu keyserver (LP: #1172810).

  [ Dmitrijs Ledkovs ]
  * Always recommend merging from lp:debian/package, instead of a
    particular debian release.

  [ Colin Watson ]
  * auto-pkg-test.rst:
    - We run tests for packages when their dependencies change, not their
      reverse-dependencies (i.e. each upload triggers tests for its
      reverse-dependencies).
    - Update for saucy.

 -- Andrew Starr-Bochicchio <asb@debian.org>  Sat, 13 Jul 2013 13:24:42 -0400

ubuntu-packaging-guide (0.3.1) experimental; urgency=low

  [ Dmitry Shachnev ]
  * Makefile:
    - Fix wrong links to some resources in singlehtml builds.
    - Make sure .mo files are built in locale targets.
  * auto-pkg-test.rst: Updated links for raring.
  * Add a work-around for the blank pages in PDF bug (LP: #1095513).
  * Disable useless index in PDFs.
  * Fix broken font in russian PDFs (LP: #1121795):
    - Add a build-dependency on cm-super-minimal.
    - Disable times package when language is russian.
  * Update README and add some information for translators.
  * Add a script to build the list of translators, run it during build.
  * Add "Help translate" and "View the list of translators" links to
    layout.html.
  * Add a build-dependency on python3-polib, and also prefer python3-sphinx
    to not use two python stacks at the build time.
  * Port debian/scripts/add-languages to Python 3 (using 2to3).
  * Bump build-dependency on Sphinx, we need at least 1.1.3+dfsg-6.

  [ Daniel Holbach ]
  * Document where to find a list of required autopkgtests and where
    to get help.
  * Enable Russian translations. Add texlive-lang-cyrillic to debian/control
    as Build-Depends.
  * Bump Standards-Version. No changes.
  * conf.py: make changelog parsing cope with non-ascii characters.

  [ Andrew Starr-Bochicchio ]
  * Put license information into the page footer (LP: #1093447).
  * Add logo and fix title on the pdf cover page.

  [ Dražen Lučanin ]
  * getting-set-up.rst: link to Enigmail for Thunderbird GPG support.

  [ Jean-Baptiste Lallement ]
  * auto-pkg-test.rst: updated for raring and new run-adt-test syntax.

 -- Andrew Starr-Bochicchio <asb@debian.org>  Fri, 08 Mar 2013 07:19:35 -0500

ubuntu-packaging-guide (0.3.0) experimental; urgency=low

  [ Daniel Holbach ]
  * Added some additional information to the autopkgtest article.
  * Updated autopkgtest article to current tools. (LP: #1080805)
  * Enable Spanish translations. (LP: #1068493)

  [ Andrew Starr-Bochicchio ]
  * debian/scripts/add-languages:
   - Modify LANGS variable in Makefile when a language reaches
     threshold (LP: #1067288).
   - Clean up to make PEP8 compliant.
  * Drop udd-patchsys article. The patches-to-packages article
    is the recommended workflow (LP: #973884).
  * debian/control: Add myself to Uploaders and remove
    Benjamin Drung. Thanks for his previous work.

  [ Dmitry Shachnev ]
  * Fix search not working (LP: #814679).
  * Introduce -common package (LP: #1067338).
  * Better resources linking.
  * Remove unnecessary build-dependencies.
  * Add CSS styling for code blocks and search results page.
  * Link JS files with the libjs-sphinxdoc package.
  * Do not install websupport.js.
  * Simplified the syntax in python-packaging.rst.
  * pygments.css: remove background-color line, it makes pygmentized code
    blocks look inconsistent with other ones.
  * Make some links easier to translate.
  * Makefile: fix sed breaking "Grab the source" URL.
  * Makefile: add a special case for building Japanese PDF files
    (LP: #1043232).
  * Makefile: remove all hashsum lines from .pot file.
  * Install and use local logo-ubuntu.png.
  * Miscellaneous fixes.

 -- Andrew Starr-Bochicchio <asb@debian.org>  Sun, 09 Dec 2012 12:55:11 -0500

ubuntu-packaging-guide (0.2.4) unstable; urgency=low

  [ Dmitry Shachnev ]
  * Make sure that packages built with example debian/rules from
    our "Python packaging" article get a correct shebang, thanks Colin
    Watson (LP: #1047457)
  * Add missing CSS bits for headers and admonitions (LP: #1045386)

  [ Daniel Holbach ]
  * Added article about using autopkgtest.

 -- Benjamin Drung <bdrung@debian.org>  Wed, 10 Oct 2012 14:35:31 +0200

ubuntu-packaging-guide (0.2.3) unstable; urgency=low

  [ Thomas Kluyver ]
  * Improve English in Python packaging page.

  [ Don Kirkby ]
  * fix a number of typos.

  [ Daniel Holbach ]
  * workaround for bug 1043232, disable LANGS, so the build for Japanese
    PDFs is not attempted.
  * Fix add-languages-script as the deb822 API seems to have changed. Also
    print out some statistics about translations and if they are considered
    ready for addition or not.
  * Add a tutorial with a specific example of how to fix a bug. (LP: #1045396)

 -- Benjamin Drung <bdrung@debian.org>  Thu, 06 Sep 2012 13:20:35 +0200

ubuntu-packaging-guide (0.2.2) quantal; urgency=low

  * Added COPYING.GPL3 text, fixed a mistake in debian/copyright. Thanks Séb.

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Wed, 22 Aug 2012 12:38:13 +0200

ubuntu-packaging-guide (0.2.1) quantal; urgency=low

  * Upload to quantal. (LP: #1004017)

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Wed, 22 Aug 2012 11:59:08 +0200

ubuntu-packaging-guide (0.2) UNRELEASED; urgency=low

  [ Iain Lane ]
  * Don't mix debuild and bzr builddeb in the same guide
    (packaging-new-software).

  [ Jonathan Jesse ]
  * "bzr commit" should be "debcommit" in fixing-a-bug. (LP: #978493)
  * Use 'bzr lp-propose' instead of 'bzr lp-open' (LP: #950227)

  [ Andrew Starr-Bochicchio ]
  * Provide overview of traditional packaging tools (LP: #809925)
  * traditional-packaging.html is empty, but linked to (LP: #885315)
  * Only exclude the -html/_sources dir from compression. Lintian doesn't like
    the changelog not being compressed.
  * For epub packages only install the epub file. Every thing else is just
    leftover from the build process.
  * Install the html/_sources dir. They are linked to on the web site.
  * Adjust paths for new install locations
  * debian/rules: Add a get-orig-source target.
  * Drop udd-newpackage page. It's contents are sufficiently covered in
    the packaging-new-software page (LP: #942754).
  * Fix installation of singlehtml (LP: #1014639).

  [ Andrew Starr-Bochicchio + Daniel Holbach ]
  * provide a means to ship per-language per-flavour packages, if a certain
    level of completeness of the translations is reached. (LP: #961936)

  [ Daniel Holbach ]
  * Integrate sponsoring documentation (setting expectations, explain
    process). (LP: #996096)
  * Refer to the backports process (LP: #1017984).

  [ Dmitry Shachnev ]
  * Add python-packaging.rst (LP: #702008)
  * Add guide.css and pygments.css files

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Wed, 06 Jun 2012 09:28:00 +0200

ubuntu-packaging-guide (0.1) quantal; urgency=low

  [ Daniel Holbach ]
  * Initial release. (LP: #1004017)

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Fri, 01 Jun 2012 18:16:22 -0400
